function out = Velocity(t,v,totalT)
    %v=2;
    T=totalT/10;
    % 0 - 30
    f1=@(t)v/T*t;
    % 30 - 120
    f2=@(t)v;
    % 120 - 180
    f3=@(t)-1*v/T*t+5*v;
    % 180 - 270
    f4=@(t)-1*v;
    % 270 - 300
    f5=@(t)v/T*t-10*v;

    out = NaN(1,length(t));
    for i=1:length(t)
        if t(i) <= T
            out(i) = f1(t(i));
        elseif t(i) <= 4*T
            out(i) = f2(t(i));
        elseif t(i) <= 6*T
            out(i) = f3(t(i));
        elseif t(i) <= 9*T
            out(i) = f4(t(i));
        elseif t(i) <= 10*T
            out(i) = f5(t(i));
        end
    end
end