function out=Split(t,v,totalT)
    T=totalT/10;
    % 0 - 30
    f1=@(t)v/(2*T)*t.^2;
    % 30 - 120
    f2=@(t)v*t;
    f2=@(t)f2(t) + (f1(T)-f2(T));
    % 120 - 180
    f3=@(t)-1*v/(2*T)*t^2+5*v*t;
    f3=@(t)f3(t) + (f2(4*T)-f3(4*T));
    % 180 - 270
    f4=@(t)-1*v*t;
    f4=@(t)f4(t) + (f3(6*T)-f4(6*T));
    % 270 - 300
    f5=@(t)v/(2*T)*t.^2-10*v*t;
    f5=@(t)f5(t) + (f4(9*T)-f5(9*T));

    out = NaN(1,length(t));
    for i = 1:length(t)
        if t(i) <= T
            out(i) = f1(t(i));
        elseif t(i) <= 4*T
            out(i) = f2(t(i));
        elseif t(i) <= 6*T
            out(i) = f3(t(i));
        elseif t(i) <= 9*T
            out(i) = f4(t(i));
        elseif t(i) <= 10*T
            out(i) = f5(t(i));
        end
    end
end